# eric7.Preferences.ConfigurationPages.PluginManagerPage

Module implementing the Plugin Manager configuration page.

### Global Attributes

None

### Classes

PluginManagerPage | Class implementing the Plugin Manager configuration page.

### Functions

create | Module function to create the configuration page.

## PluginManagerPage

Class implementing the Plugin Manager configuration page.

### Derived from

ConfigurationPageBase, Ui_PluginManagerPage

### Class Attributes

None

### Class Methods

None

### Methods

PluginManagerPage | Constructor
on_repositoryUrlEditButton_toggled | Private slot to set the read only status of the repository URL line edit.
save | Public slot to save the Viewmanager configuration.

### Static Methods

None

#### PluginManagerPage (Constructor)

PluginManagerPage()

Constructor

#### PluginManagerPage.on_repositoryUrlEditButton_toggled

on_repositoryUrlEditButton_toggled(checked)

Private slot to set the read only status of the repository URL line edit.

checked
  state of the push button (boolean)

#### PluginManagerPage.save

save()

Public slot to save the Viewmanager configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Return:
  reference to the instantiated page (ConfigurationPageBase)

Up